/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.beans.catalog;

import com.arrebol.taxiservicios.beans.Datatable;
import com.arrebol.taxiservicios.beans.TaxiGenericBean;
import com.arrebol.taxiservicios.controller.catalog.ClaveProductoServicioController;
import com.arrebol.taxiservicios.model.catalog.ClaveProductoServicio;
import com.arrebol.taxiservicios.model.enums.BasicType;




import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import org.primefaces.event.ReorderEvent;
import org.primefaces.event.RowEditEvent;


/**
 *
 * @author oscarvargas
 */
@Named("claveProductoServicioBean")
@ViewScoped
public class ClaveProductoServicioBean extends TaxiGenericBean implements Serializable, Datatable {


    public List<ClaveProductoServicio> getClaveProductoServicio() {
        return claveProductoServicio;
    }

    public ClaveProductoServicio getSelectedClaveProductoServicio() {
        return selectedClaveProductoServicio;
    }

    public void setSelectedClaveProductoServicio(ClaveProductoServicio selectedClaveProductoServicio) {
        this.selectedClaveProductoServicio = selectedClaveProductoServicio;
    }

    @PostConstruct
    public void init() {
        claveProductoServicioController = new ClaveProductoServicioController();
        claveProductoServicio = claveProductoServicioController.fillClaveProductoServicioDatatable();
        
    }


    private static final long serialVersionUID = -2400590341745672164L;

    private List<ClaveProductoServicio> claveProductoServicio;
    private ClaveProductoServicio selectedClaveProductoServicio;

    
    private ClaveProductoServicioController claveProductoServicioController;

    @Override
    public void editRow(RowEditEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void onRowCancel(RowEditEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void onRowReorder(ReorderEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void addRow() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void deleteRow() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

}
